CLAW-CONFIG(1)

NAME
claw-config — show information about installed libclaw libraries

SYNOPSIS

claw-config [library...] [--prefix] [--prefix=PREFIX] [--exec-prefix] [--exec-prefix=EPREFIX] [--version] [--libs] [--cflags]

DESCRIPTION

This manual page documents briefly the claw-config command,

claw-config is a program that shows information about the installed libclaw libraries.

OPTIONS

The following options are supported:

library
    The library for which the information is displayed.

--prefix 	--prefix=PREFIX
    Show the prefix libclaw was built with. The prefix may be overridden by passing the argument PREFIX.

--exec-prefix 	--exec-prefix=EPREFIX
    Show the executable prefix libclaw was built with. The executable prefix may be overridden by passing the argument EPREFIX.

--version
    Show the version of the installed libclaw.

--libs
    Show the compiler flags for linking to the installed library.

--cflags
    Show the compiler flags for compiling against the installed library.

EXAMPLE

Display the libraries to link to in order to use the claw_graphic library.

claw-config graphic --libs

Display the compiler flags required to use all the libraries of libclaw.

claw-config all --cflags

AUTHOR

This manual page was written by Julien Jorge julien_jorge@yahoo.fr for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts and no Back-Cover Texts.